Subject: pkg/19740: gnome-config needs * in /usr/pkg/lib and doesn't find them in /usr/X11R6/lib
To: None <>
From: None <>
List: netbsd-bugs
Date: 01/08/2003 13:44:05
>Number:         19740
>Category:       pkg
>Synopsis:       gnome-config needs * in /usr/pkg/lib, not in /usr/X11R6/lib
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Jan 08 04:45:00 PST 2003
>Originator:     drue
>Release:        NetBSD 1.6_STABLE
System: NetBSD jay 1.6_STABLE NetBSD 1.6_STABLE (JAY) #0: Thu Nov 7 11:49:14 CET 2002 toor@jay:/usr/src/sys/arch/i386/compile/JAY i386
Architecture: i386
Machine: i386
	several gnome packages put their config-script ({gal,bonobo,bonobox,capplet}
	into /usr/X11R6/lib, but /usr/pkg/bin/gnome-config expects them in /usr/pkg/lib.

	So the "make configure" can't explore their LIB/INCLUDE parameters and the apps fail
	to built.
	cd /usr/pkgsrc/www/gtkhtml && make update
	I created symlinks from /usr/X11R6/lib/* to /usr/pkg/lib/
	Maybe /usr/pkg/bin/gnome-config has to work in both prefixes (/usr/pkg and /usr/X11R6)